#ifndef _UART_H
#define _UART_H

#define MCU_FREQ                             11059200 // þƵ
#define UART_BUAD                            38400
#define ON                                   1
#define OFF                                  0  

#define UART_TX_PIN                          P31
#define UART_TX_SET(n)                       UART_TX_PIN = n
#define UART_TX_HIGH()                       UART_TX_SET(1)
#define UART_TX_LOW()                        UART_TX_SET(0)
#define UART_TX_FLIP()                       UART_TX_PIN = !UART_TX_PIN

#define UART_RX_PIN                          P30
#define UART_RX_SET(n)                       UART_RX_PIN = n
#define UART_RX_HIGH()                       UART_RX_SET(1)
#define UART_RX_LOW()                        UART_RX_SET(0)
#define UART_RX_FLIP()                       UART_RX_PIN = !UART_RX_PIN

void uartInit(void);
void uartSendString(char *pS);
void uartSendNum(int num);

#endif